- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetCaseEntities#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetCaseEntities#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetCaseEntities#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetCaseEntities#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetCaseEntities#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetCaseEntities#body.ApiCaseEntities.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetCaseEntities#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetCaseEntities#body.aspect_1)
- [SecurityEntityCard](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetCaseEntities#SecurityEntityCard)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetCaseEntities#SecurityEntityCard.SCHEMA_REPRESENTATION)
- [SecurityEntityDirectionEnum](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetCaseEntities#SecurityEntityDirectionEnum)

**Full name**: projects.locations.instances.legacyPlaybooks.legacyGetCaseEntities

Returns all security entities (e.g., hosts, users, files) associated with a specific case.

### HTTP request

`GET https://{endpoint}/v1alpha/{instance}/legacyPlaybooks:legacyGetCaseEntities`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to get the case entities for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `caseId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The caseId is the identifier of the case. |

### Request body

The request body must be empty.

### Response body

ApiCaseEntities represents a list of entities and entity cards.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entities": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiSecurityEntityDataModel`) } ], "entityCards": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetCaseEntities#SecurityEntityCard`) } ] } ``` |

| Fields ||
|---|---|
| `entities[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiSecurityEntityDataModel`)`` Optional. Entities is a list of entities. |
| `entityCards[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetCaseEntities#SecurityEntityCard`)`` Optional. EntityCards is a list of entity cards. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacyPlaybooks.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## SecurityEntityCard

SecurityEntityCard represents a security entity card.

| JSON representation |
|---|
| ``` { "identifier": string, "entityType": string, "linkedEntities": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetCaseEntities#SecurityEntityCard`) } ], "isSuspicious": boolean, "direction": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetCaseEntities#SecurityEntityDirectionEnum`) } ``` |

| Fields ||
|---|---|
| `identifier` | `string` Required. Identifier is the unique identifier of the entity. |
| `entityType` | `string` Required. EntityType is the type of the entity. |
| `linkedEntities[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetCaseEntities#SecurityEntityCard`)`` Optional. LinkedEntities is a list of linked entities. |
| `isSuspicious` | `boolean` Optional. IsSuspicious indicates if the entity is suspicious. |
| `direction` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetCaseEntities#SecurityEntityDirectionEnum`)`` Optional. Direction is the direction of the entity. |

## SecurityEntityDirectionEnum

SecurityEntityDirectionEnum represents the direction of a security entity.

| Enums ||
|---|---|
| `NONE` | The direction is unspecified. |
| `INBOUND` | The direction is inbound. |
| `OUTBOUND` | The direction is outbound. |
| `BOTH` | The direction is both. |